/*****************************************************************************
 *                                                                           *
 *    PIC.H     Prototype declarations for PIC subroutines.                  *
 *              (c) CSH Services, 1990                                       *
 *                                                                           *
 *    NOTE:  This program must be included in any program that uses the      *
 *           library.                                                        *
 *                                                                           *
 *****************************************************************************/

	/*OPENING & CLOSING PIC FILE*/
	int pic_open(char *filepath);		/*opens PIC file & initialises*/
	int pic_close(void); 			/*terminates plot & closes file*/

       /*PRIMITIVES*/
	int pic_pu_move_abs(float x,float y);	/*absolute move with pen up*/
	int pic_pu_move_rel(float x,float y);	/*relative move with pen up*/
	int pic_pd_move_abs(float x,float y);	/*absoulte move with pen down*/
	int pic_pd_move_rel(float x,float y);	/*relative move with pen down*/

	/*GENERAL DRAWING APPEARANCE*/
	int pic_set_colour(int col);		/*set drawing colour*/
	int pic_set_font(int type); 		/*set character font*/
	int pic_set_linetype(int type);		/*set line type*/
	int pic_set_cs(float x,float y);		/*set character size*/
	int pic_set_sp(int x1,int y1,
			 int x2,int y2);		/*set scaling points*/
	int pic_set_scale(float xmin,float xmax,
			    float ymin,float ymax); /*set drawing scale*/

	/*DRAWING COMMANDS*/
	int pic_draw_rectangle(float x1,float y1, /*draw rectangle*/
				  float x2,float y2);
	int pic_draw_line(float x1,float y1,	/*draw line*/
			    float x2,float y2);
	int pic_draw_block(float x1,float y1,	/*draw filled rectangle*/
			     float x2,float y2);
	int pic_draw_circle(float x1,float y1,	/*draw circle*/
			      float r);
	int pic_draw_text(char *text,int r,	/*write text string*/
			     int j);

/*****************************************************************************/

